### Enumeration

# Gtk FilterMatch

since: 4.0

#### Declaration

    enum Gtk.FilterMatch

#### Description [src]

Describes the known strictness of a filter.

Note that for filters where the strictness is not known, `GTK_FILTER_MATCH_SOME` is always an acceptable value, even if a filter does match all or no items.

Available since: 4.0

#### Members

`GTK_FILTER_MATCH_SOME`

  The filter matches some items, `gtk_filter_match()` may return `TRUE` or `FALSE`.

  - Value: `0`
  - Nickname: `some`
  - Available since: 4.0
`GTK_FILTER_MATCH_NONE`

  The filter does not match any item, `gtk_filter_match()` will always return `FALSE`.

  - Value: `1`
  - Nickname: `none`
  - Available since: 4.0
`GTK_FILTER_MATCH_ALL`

  The filter matches all items, `gtk_filter_match()` will alays return `TRUE`.

  - Value: `2`
  - Nickname: `all`
  - Available since: 4.0